;+
; NAME: eis_md_packet_reader__debug.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

pro eis_md_packet_reader::debug
  print, 'eis_md_packet_reader::debug'
  prefix = 'eis_md_packet_reader.'
  self->base_object::debug
;  print, prefix + 'verbose      : ', self.verbose
  print, prefix + 'eof          : ', + strtrim(string(self.eof), 2)
  print, prefix + 'payload_only : ', + strtrim(string(self.payload_only), 2)
  print, prefix + 'first_packet : ', + strtrim(string(self.first_packet), 2)
;  if self.md_packet ne !null then self.md_packet->debug
  if *(self.md_packet) ne !null then begin
;     print, prefix + 'md_packet'
     *(self.md_packet)->debug
  endif else begin
     print, prefix + 'md_packet  : no packet'
  endelse
end
