;+
; NAME: eis_md_packet_reader__read.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

pro eis_md_packet_reader::decompress
  self->trace, 'eis_md_packet_reader::decompress'
  
;  repeat begin
  !quiet = 0
  message, 'decompress', /info
  !quiet = 1

;  help, *(self->md_packet())    ;->md_header()->serial_packet_number()
  packet = *(self->md_packet())
  help, packet
  header = packet->md_header()
  help, header
  spn = header->serial_packet_number()
  help, spn
  spn = (*(self->md_packet())->md_header())->serial_packet_number()
  code = (*(self->md_packet())->md_header())->compression_code()
;  stop
  
  !quiet = 0
  message, 'SPN  = ' + strtrim(string(spn, format = '(Z08)'), 2), /info
  message, 'CODE = ' + strtrim(string(code, format = '(Z04)'), 2), /info
  !quiet = 1

end
