;+
; NAME: eis_md_raster__define.pro
;
; PURPOSE: Definition of the main EIS raster structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/18 mcrw	wrote
;
;-

pro eis_md_raster__define
  struct = { eis_md_raster,                      $
;             main_logger   : ptr_new(),          $
;             local_logger  : ptr_new(),          $
             
;             raster_reader : ptr_new(obj_new()), $
;             ccsds_reader  : ptr_new(obj_new()), $
             filename      : '',                 $
             exposure_list : ptr_new(obj_new()), $
             rescued       : 0,                  $
             
             inherits base_object }
  
end
