;+
; NAME: eis_md_raster__init.pro
;
; PURPOSE: Definition of the main EIS raster structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/18 mcrw	wrote
;
;-

function eis_md_raster::INIT, verbose=verbose, rescued=rescued, trace=trace
  print, 'eis_md_raster::INIT'

  foo = self->base_object::INIT(trace=trace)
  
;  self.verbose = 0
;  self.rescued = 0
  
  if keyword_set(rescued) then self.rescued = rescued
  if keyword_set(verbose) then self.verbose = verbose
  
;    self.basename = basename

;  self.raster_reader = ptr_new(obj_new('eis_md_raster_reader', resceud=rescued, verbose=self.verbose))
;  self.ccsds_reader = ptr_new(obj_new('eis_ccsds_reader','FRED', 'v1.0'))

  self.exposure_list = ptr_new(obj_new('LIST'))
  
  return, 1
end
