;+
; NAME: eis_md_raster_reader__read_exposure.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

pro eis_md_raster_reader::read_exposure, ccsds_reader
  self->trace, 'eis_md_raster_reader::read_exposure'
;	repeat begin

  ;;;self.exposure_list = ptr_new(obj_new('LIST'))
  *(self.exposure_reader)->read_exposure, ccsds_reader
  if not *(self.exposure_reader)->eof() then begin
     ;;;packet_list = *(self.exposure_reader)->exposure()
     exposure = *(self.exposure_reader)->exposure()
     ;;;*(self.exposure_list)->add, packet_list
     *(self.raster)->add, exposure
  endif

;  packet_list = *(self.exposure_reader)->exposure()
;  *(self.exposure_list)->add, packet_list
;  
;  print, 'eis_md_raster_reader::read_exposure HELP'
;  help, *(self.exposure_list)
  
;		self.exposures = [self.exposures, exposure]
;	endrep until exposure->is_last_exposure()
end
