;+
; NAME: eis_md_raster__report.pro
;
; PURPOSE: Definition of the main EIS raster structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/18 mcrw	wrote
;
;-

;pro eis_md_raster::report, lun
pro eis_md_raster::report
  self->trace, 'eis_md_raster::report'
  
  ;;;print, 'fail         : ', self.fail
  print, 'error        : ', strtrim(string(self.error), 2)
  print, 'filename     : ' + self.filename
  print, 'rescued      : ' + strtrim(string(self.rescued), 2)
  print, 'exposures    : ', self.exposure_list

  self->debug
  
end
