;+
; NAME: eis_md_raster_reader__read.pro
;
; PURPOSE: 
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

pro eis_md_raster_reader::decompress_raster, ccsds_reader
  repeat begin
     print, 'eis_md_raster_reader::decompress'

;     self.read_exposure, ccsds_reader
     
     *(self.exposure_reader)->read_all, ccsds_reader

     if not *(self.exposure_reader)->eof() then begin
        packet_list = *(self.exposure_reader)->exposure()
        *(self.exposure_list)->add, packet_list
     endif
     print, 'eis_md_raster_reader::HELP'
     help, *(self.exposure_list) 
;     self.exposure_list = [self.exposure_list, exposure]
     print, 'eis_md_raster_reader::read read an exposure'
  
  endrep until *(self.exposure_reader)->eof() ;exposure->is_last_exposure()
end
