;+
; NAME: eis_md_raster_reader__define.pro
;
; PURPOSE: Definition of the EIS ccsds packet structure
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

pro eis_md_raster_reader__define

  struct = { eis_md_raster_reader,                 $
             main_logger   : ptr_new(),          $
             local_logger  : ptr_new(),          $
             ccsds_reader  : ptr_new(obj_new()), $
             exposure_reader : ptr_new(obj_new()), $

;             exposure_list   : ptr_new(obj_new()), $
;             rescued         : 0,                  $
             filename : '', $
;             raster : eis_md_raster(), $
             raster : ptr_new(obj_new()), $
             inherits base_object } ;eis_md_interface}
end
